javax.xml.stream.events

## Interface EndElement

- All Superinterfaces:
    XMLEvent, XMLStreamConstants

      public interface EndElement
      extends XMLEvent

- - ### Field Summary

    - ### Fields inherited from interface javax.xml.stream.XMLStreamConstants

      `ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `QName` | `getName()`
    `java.util.Iterator` | `getNamespaces()`

    - ### Methods inherited from interface javax.xml.stream.events.XMLEvent

      `asCharacters, asEndElement, asStartElement, getEventType, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

- - ### Method Detail

    - #### getName

          QName getName()

    - #### getNamespaces

          java.util.Iterator getNamespaces()

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.